apiVersion: apps/v1
kind: Deployment
metadata:
  name: intellecton-portal
  namespace: thefold
  labels:
    app: intellecton-portal
spec:
  replicas: 1
  selector:
    matchLabels:
      app: intellecton-portal
  template:
    metadata:
      labels:
        app: intellecton-portal
    spec:
      containers:
      - name: portal
        image: 10.43.4.37:5000/intellecton-portal:latest
        imagePullPolicy: Always
        ports:
        - containerPort: 3000
        resources:
          limits:
            cpu: 500m
            memory: 512Mi
          requests:
            cpu: 100m
            memory: 128Mi
---
apiVersion: v1
kind: Service
metadata:
  name: intellecton-portal-service
  namespace: thefold
spec:
  ports:
  - port: 80
    protocol: TCP
    targetPort: 3000
  selector:
    app: intellecton-portal
  type: ClusterIP
